// #ifndef VUE3
import Vue from 'vue';
import App from './App';
// requset请求
import {
	getToken,
	requestBase,
	requestFile
} from '@/common/api.js';
Vue.prototype.$token = getToken;
Vue.prototype.$api = requestBase;
Vue.prototype.$apifile = requestFile;
// 配置文件
import config from '@/config.js';
import '@/common/computed.js';
Vue.prototype.$config = config;

Vue.config.productionTip = false;

App.mpType = 'app';
const app = new Vue({
	...App
});
app.$mount();
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue';
export function createApp() {
	const app = createSSRApp(App);
	return {
		app,
	};
}
// #endif
